%global     reponame gregw
%global     repoversion apple2

Name:       %{reponame}-%{repoversion}-appstream-data
Version:    33
Release:    1%{?dist}
Summary:    Appstream metadata for the COPR gregw/apple2 repository
BuildArch:  noarch

License:    CC0
URL:        https://copr.fedorainfracloud.org/coprs/%{reponame}/%{repoversion}/

Source0:    %{reponame}-%{repoversion}.xml.gz
Source1:    %{reponame}-%{repoversion}-icons.tar.gz

BuildRequires:  libappstream-glib
%if %{?fedora}0 > 280 || %{?rhel}0 > 70
Supplements:    appstream-data
%endif

%description
Appstream metadata for packages in the RPM Fusion free repository


%prep
%autosetup -c -T -a1

%build

%install
%{__mkdir} -p $RPM_BUILD_ROOT/%{_datadir}/app-info/icons/%{reponame}-%{repoversion}
cp -r 256x256 128x128 64x64 $RPM_BUILD_ROOT/%{_datadir}/app-info/icons/%{reponame}-%{repoversion}

install -D -m 644 %{SOURCE0} $RPM_BUILD_ROOT/%{_datadir}/app-info/xmls/%{reponame}-%{repoversion}.xml.gz
appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/app-info/xmls/%{reponame}-%{repoversion}.xml.gz

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/%{reponame}-%{repoversion}.xml.gz
%{_datadir}/app-info/icons/%{reponame}-%{repoversion}/
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/xmls

%changelog
* Tue Nov 03 2020 Greg Wildman <greg AT techfu.co.za> - 33-1
- Bumped version.

* Sun Aug 26 2018 Greg Wildman <greg AT techfu.co.za> - 28-1
- Based on rpmfusion-free spec.

